Back to Redis

Rotate

content/operate/rs/references/rest-api/requests/cluster/certificates/rotate.md

latest1.3 KB
Original Source
MethodPathDescription
POST/v1/cluster/certificates/rotateRegenerate all internal cluster certificates

Rotate cluster certificates {#post-cluster-certificates-rotate}

POST /v1/cluster/certificates/rotate

Regenerates all internal cluster certificates.

The certificate rotation will be performed on all nodes within the cluster. If "name" is provided, only rotate the specified certificate on all nodes within the cluster.

Request {#post-request}

Example HTTP request

POST /v1/cluster/certificates/rotate

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
Acceptapplication/jsonAccepted media type

Response {#post-response}

Responds with a 200 OK status code if the internal certificates successfully rotate across the entire cluster.

Status codes {#post-status-codes}

CodeDescription
200 OKNo error
400 Bad RequestFailed, not all nodes have been updated.
403 ForbiddenUnsupported internal certificate rotation.